Patch Bot

Updates the configuration of a bot already scheduled to record an event. Allows modification of recording settings, webhook URLs, and other bot parameters without canceling and recreating the scheduled recording. For recurring events, the 'all_occurrences' parameter determines whether changes apply to all instances or just the specific occurrence. Returns the updated event(s) with the modified bot parameters.

PATCH
/calendar_events/{uuid}/bot

Authorization

ApiKeyAuth
x-meeting-baas-api-key<token>

API key for authentication

In: header

Path Parameters

uuid*string

The UUID identifier

Query Parameters

all_occurrences?|

schedule a bot to all occurences of a recurring event

Request Body

application/json

bot_image?|
Defaultnull
bot_name?|
Defaultnull
deduplication_key?|
Defaultnull
enter_message?|
Defaultnull
extra?unknown
Defaultnull
noone_joined_timeout?|
Defaultnull
Formatint32
recording_mode?||||
speech_to_text?|||
Defaultnull
streaming_audio_frequency?||
Defaultnull
streaming_input?|
Defaultnull
streaming_output?|
Defaultnull
transcription_custom_parameters?unknown
Defaultnull
waiting_room_timeout?|
Defaultnull
Formatint32
webhook_url?|
Defaultnull
zoom_access_token_url?|
Defaultnull
zoom_obf_token?|
Defaultnull
zoom_obf_token_url?|
Defaultnull
zoom_obf_token_user_id?|
Defaultnull
zoom_sdk_id?|
Defaultnull
zoom_sdk_pwd?|
Defaultnull

Response Body

application/json

curl -X PATCH "https://api.meetingbaas.com/calendar_events/string/bot" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "attendees": [
      {
        "email": "string",
        "name": "string"
      }
    ],
    "bot_param": {
      "bot_image": "string",
      "bot_name": "string",
      "deduplication_key": "string",
      "enter_message": "string",
      "extra": {},
      "noone_joined_timeout": 0,
      "recording_mode": "speaker_view",
      "speech_to_text_api_key": "string",
      "speech_to_text_provider": "Gladia",
      "streaming_audio_frequency": "16khz",
      "streaming_input": "string",
      "streaming_output": "string",
      "transcription_custom_parameters": {},
      "waiting_room_timeout": 0,
      "webhook_url": "string",
      "zoom_access_token_url": "string",
      "zoom_obf_token": "string",
      "zoom_obf_token_url": "string",
      "zoom_obf_token_user_id": "string",
      "zoom_sdk_id": "string",
      "zoom_sdk_pwd": "string"
    },
    "calendar_uuid": "fd186a18-ef28-468e-9173-223796807e2e",
    "deleted": true,
    "end_time": "2019-08-24T14:15:22Z",
    "google_id": "string",
    "is_organizer": true,
    "is_recurring": true,
    "last_updated_at": "2019-08-24T14:15:22Z",
    "meeting_url": "string",
    "name": "string",
    "raw": {},
    "recurring_event_id": "string",
    "start_time": "2019-08-24T14:15:22Z",
    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f"
  }
]